MyGUI: MyGUI::ImageBox Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions
MyGUI::ImageBox Class Reference

ImageBox properties.
Skin childs. ImageBox widget description should be here. More...

`#include <MyGUI_ImageBox.h>`

Inheritance diagram for MyGUI::ImageBox:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ImageBox | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ImageBox ()
void | setImageInfo (const std::string &_texture, const IntCoord &_coord, const IntSize &_tile)
void | setImageTexture (const std::string &_value)
void | setImageRect (const IntRect &_value)
void | setImageCoord (const IntCoord &_value)
void | setImageTile (const IntSize &_value)
void | setImageIndex (size_t _index)
size_t | getImageIndex () const
IntSize | getImageSize () const
size_t | getItemCount () const
| Get number of items. More...
void | setItemSelect (size_t _index)
| Select specified _index. More...
size_t | getItemSelect () const
| Get index of selected item (ITEM_NONE if none selected) More...
void | resetItemSelect ()
| Reset item selection. More...
void | insertItem (size_t _index, const IntCoord &_item)
| Insert an item into a list at a specified position. More...
void | addItem (const IntCoord &_item)
| Add an item to the end of a list. More...
void | setItem (size_t _index, const IntCoord &_item)
| Replace an item at a specified position. More...
void | deleteItem (size_t _index)
| Delete item at a specified position. More...
void | deleteAllItems ()
| Delete all items. More...
void | addItemFrame (size_t _index, const IntCoord &_item)
void | insertItemFrame (size_t _index, size_t _indexFrame, const IntCoord &_item)
void | addItemFrameDuplicate (size_t _index, size_t _indexSourceFrame)
void | insertItemFrameDuplicate (size_t _index, size_t _indexFrame, size_t _indexSourceFrame)
void | setItemFrame (size_t _index, size_t _indexFrame, const IntCoord &_item)
void | deleteItemFrame (size_t _index, size_t _indexFrame)
void | deleteAllItemFrames (size_t _index)
void | setItemFrameRate (size_t _index, float _rate)
float | getItemFrameRate (size_t _index)
bool | setItemResource (const std::string &_name)
void | setItemGroup (const std::string &_value)
void | setItemName (const std::string &_value)
void | setItemResourcePtr (ResourceImageSetPtr _resource)
void | setItemResourceInfo (const ImageIndexInfo &_info)
ResourceImageSetPtr | getItemResource () const
void | setItemResourceInfo (ResourceImageSetPtr _resource, const std::string &_group, const std::string &_name)
Public Member Functions inherited from MyGUI::Widget
template<typename Type >
bool | isType () const
| Widget ()
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
Widget * | createWidgetT (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
template<typename T >
T * | createWidget (WidgetStyle _style, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_value)
void | setRealSize (const FloatSize &_value)
void | setRealCoord (const FloatCoord &_value)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget. More...
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _value)
float | getAlpha () const
void | setInheritsAlpha (bool _value)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount ()
Widget * | getChildAt (size_t _index)
Widget * | findWidget (const std::string &_name)
void | findWidgets (const std::string &_name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord ()
Widget * | getClientWidget ()
void | detachFromWidget (const std::string &_layer="")
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, const std::string &_layer="")
void | changeWidgetSkin (const std::string &_skinName)
void | setWidgetStyle (WidgetStyle _style, const std::string &_layer="")
WidgetStyle | getWidgetStyle () const
void | setProperty (const std::string &_key, const std::string &_value)
virtual size_t | _getItemIndex (Widget *_item)
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, const std::string &_skinName, Widget *_parent, ICroppedRectangle *_croppedParent, const std::string &_name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer ()
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (const std::string &_value)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
| UserData ()
virtual | ~UserData ()
void | setUserString (const std::string &_key, const std::string &_value)
const std::string & | getUserString (const std::string &_key) const
const MapString & | getUserStrings () const
bool | clearUserString (const std::string &_key)
bool | isUserString (const std::string &_key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType >
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType >
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
| WidgetInput ()
virtual | ~WidgetInput ()
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (const std::string &_value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
| SkinItem ()
ISubWidgetText * | getSubWidgetText ()
ISubWidgetRect * | getSubWidgetMain ()
void | _setTextureName (const std::string &_texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
| LayerItem ()
virtual | ~LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)
virtual void | detachFromLayer ()
virtual void | upLayerItem ()
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::MemberObsolete< ImageBox >
void | addItemFrameDublicate (size_t _index, size_t _indexSourceFrame)
void | insertItemFrameDublicate (size_t _index, size_t _indexFrame, size_t _indexSourceFrame)

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Member Functions
virtual void | shutdownOverride ()
virtual void | setPropertyOverride (const std::string &_key, const std::string &_value)
Protected Member Functions inherited from MyGUI::Widget
virtual | ~Widget ()
virtual void | initialiseOverride ()
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer, const std::string &_name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point)
virtual void | baseUpdateEnable ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual const IntCoord & | getLayerItemCoord () const
template<typename T >
void | assignWidget (T *&_widget, const std::string &_name)
VectorWidgetPtr | getSkinWidgetsByName (const std::string &_name)
void | destroySkinWidget (Widget *_widget)
virtual void | onWidgetCreated (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (const std::string &_state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Additional Inherited Members
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

ImageBox properties.
Skin childs. ImageBox widget description should be here.

Definition at line 21 of file MyGUI_ImageBox.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ImageBox::Base

Definition at line 25 of file MyGUI_ImageBox.h.

## ◆ RTTIBase

typedef ImageBox MyGUI::ImageBox::RTTIBase

Definition at line 25 of file MyGUI_ImageBox.h.

## Constructor & Destructor Documentation

## ◆ ImageBox()

MyGUI::ImageBox::ImageBox | ( |  | ) |

Definition at line 21 of file MyGUI_ImageBox.cpp.

## Member Function Documentation

## ◆ addItem()

void MyGUI::ImageBox::addItem | ( | const IntCoord & | _item | ) |

Add an item to the end of a list.

Definition at line 524 of file MyGUI_ImageBox.cpp.

## ◆ addItemFrame()

void MyGUI::ImageBox::addItemFrame | ( | size_t | _index,
|  | const IntCoord & | _item
| ) |  |

Add frame

Parameters

  _index | Image item index
  _item | Frame coordinates at image texture

Definition at line 244 of file MyGUI_ImageBox.cpp.

## ◆ addItemFrameDuplicate()

void MyGUI::ImageBox::addItemFrameDuplicate | ( | size_t | _index,
|  | size_t | _indexSourceFrame
| ) |  |

Add copy of frame (similar to ImageBox::addItemFrame but we copy frame coordinates)

Parameters

  _index | Image item index
  _indexSourceFrame | Frame index of frame that we copying

Definition at line 265 of file MyGUI_ImageBox.cpp.

## ◆ deleteAllItemFrames()

void MyGUI::ImageBox::deleteAllItemFrames | ( | size_t | _index | ) |

Delete all frames

Parameters

  _index | Image item index

Definition at line 237 of file MyGUI_ImageBox.cpp.

## ◆ deleteAllItems()

void MyGUI::ImageBox::deleteAllItems | ( |  | ) |

Delete all items.

Definition at line 188 of file MyGUI_ImageBox.cpp.

## ◆ deleteItem()

void MyGUI::ImageBox::deleteItem | ( | size_t | _index | ) |

Delete item at a specified position.

Definition at line 175 of file MyGUI_ImageBox.cpp.

## ◆ deleteItemFrame()

void MyGUI::ImageBox::deleteItemFrame | ( | size_t | _index,
|  | size_t | _indexFrame
| ) |  |

Delete frame

Parameters

  _index | Image item index
  _indexFrame | Frame index that we delete

Definition at line 309 of file MyGUI_ImageBox.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ImageBox::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 25 of file MyGUI_ImageBox.h.

## ◆ getImageIndex()

size_t MyGUI::ImageBox::getImageIndex | ( |  | ) | const

Get current tile index

Definition at line 449 of file MyGUI_ImageBox.cpp.

## ◆ getImageSize()

IntSize MyGUI::ImageBox::getImageSize | ( |  | ) | const

Get size of currently used image

Definition at line 454 of file MyGUI_ImageBox.cpp.

## ◆ getItemCount()

size_t MyGUI::ImageBox::getItemCount | ( |  | ) | const

Get number of items.

Definition at line 509 of file MyGUI_ImageBox.cpp.

## ◆ getItemFrameRate()

float MyGUI::ImageBox::getItemFrameRate | ( | size_t | _index | ) |

Get item frame rate

Parameters

  _index | Image item index

Definition at line 258 of file MyGUI_ImageBox.cpp.

## ◆ getItemResource()

ResourceImageSetPtr MyGUI::ImageBox::getItemResource | ( |  | ) | const

Get current items resource used in ImageBox

Definition at line 529 of file MyGUI_ImageBox.cpp.

## ◆ getItemSelect()

size_t MyGUI::ImageBox::getItemSelect | ( |  | ) | const

Get index of selected item (ITEM_NONE if none selected)

Definition at line 514 of file MyGUI_ImageBox.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::ImageBox::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::Widget.

Definition at line 25 of file MyGUI_ImageBox.h.

## ◆ insertItem()

void MyGUI::ImageBox::insertItem | ( | size_t | _index,
|  | const IntCoord & | _item
| ) |  |

Insert an item into a list at a specified position.

Definition at line 194 of file MyGUI_ImageBox.cpp.

## ◆ insertItemFrame()

void MyGUI::ImageBox::insertItemFrame | ( | size_t | _index,
|  | size_t | _indexFrame,
|  | const IntCoord & | _item
| ) |  |

Insert frame

Parameters

  _index | Image item index
  _indexFrame | Frame index where we insert frame
  _item | Frame coordinates at image texture

Definition at line 274 of file MyGUI_ImageBox.cpp.

## ◆ insertItemFrameDuplicate()

void MyGUI::ImageBox::insertItemFrameDuplicate | ( | size_t | _index,
|  | size_t | _indexFrame,
|  | size_t | _indexSourceFrame
| ) |  |

Insert copy of frame (similar to ImageBox::insertItemFrame but we copy frame coordinates)

Parameters

  _index | Image item index
  _indexFrame | Frame index where we insert frame
  _indexSourceFrame | Frame index of frame that we copying

Definition at line 286 of file MyGUI_ImageBox.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ImageBox::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 25 of file MyGUI_ImageBox.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ImageBox::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::Widget.

Definition at line 25 of file MyGUI_ImageBox.h.

## ◆ resetItemSelect()

void MyGUI::ImageBox::resetItemSelect | ( |  | ) |

Reset item selection.

Definition at line 519 of file MyGUI_ImageBox.cpp.

## ◆ setImageCoord()

void MyGUI::ImageBox::setImageCoord | ( | const IntCoord & | _value | ) |

Set _coord - part of texture where we take tiles

Definition at line 65 of file MyGUI_ImageBox.cpp.

## ◆ setImageIndex()

void MyGUI::ImageBox::setImageIndex | ( | size_t | _index | ) |

Set current tile index

Parameters

  _index | - tile index

Remarks
  Tiles in file start numbering from left to right and from top to bottom.
  For example:

          +---+---+---+
          | 0 | 1 | 2 |
          +---+---+---+
          | 3 | 4 | 5 |
          +---+---+---+

Definition at line 444 of file MyGUI_ImageBox.cpp.

## ◆ setImageInfo()

void MyGUI::ImageBox::setImageInfo | ( | const std::string & | _texture,
|  | const IntCoord & | _coord,
|  | const IntSize & | _tile
| ) |  |

Definition at line 37 of file MyGUI_ImageBox.cpp.

## ◆ setImageRect()

void MyGUI::ImageBox::setImageRect | ( | const IntRect & | _value | ) |

Set _rect - part of texture where we take tiles

Definition at line 75 of file MyGUI_ImageBox.cpp.

## ◆ setImageTexture()

void MyGUI::ImageBox::setImageTexture | ( | const std::string & | _value | ) |

Definition at line 88 of file MyGUI_ImageBox.cpp.

## ◆ setImageTile()

void MyGUI::ImageBox::setImageTile | ( | const IntSize & | _value | ) |

Set _tile size

Definition at line 52 of file MyGUI_ImageBox.cpp.

## ◆ setItem()

void MyGUI::ImageBox::setItem | ( | size_t | _index,
|  | const IntCoord & | _item
| ) |  |

Replace an item at a specified position.

Definition at line 206 of file MyGUI_ImageBox.cpp.

## ◆ setItemFrame()

void MyGUI::ImageBox::setItemFrame | ( | size_t | _index,
|  | size_t | _indexFrame,
|  | const IntCoord & | _item
| ) |  |

Change frame

Parameters

  _index | Image item index
  _indexFrame | Frame index to change
  _item | Frame coordinates at image texture

Definition at line 299 of file MyGUI_ImageBox.cpp.

## ◆ setItemFrameRate()

void MyGUI::ImageBox::setItemFrameRate | ( | size_t | _index,
|  | float | _rate
| ) |  |

Set item frame rate

Parameters

  _index | Image item index
  _rate | Duration of one frame in seconds

Definition at line 251 of file MyGUI_ImageBox.cpp.

## ◆ setItemGroup()

void MyGUI::ImageBox::setItemGroup | ( | const std::string & | _value | ) |

Select current item group

Definition at line 395 of file MyGUI_ImageBox.cpp.

## ◆ setItemName()

void MyGUI::ImageBox::setItemName | ( | const std::string & | _value | ) |

Select current item mane

Definition at line 405 of file MyGUI_ImageBox.cpp.

## ◆ setItemResource()

bool MyGUI::ImageBox::setItemResource | ( | const std::string & | _name | ) |

Select current items resource used in ImageBox

Parameters

  _name | Resource name

Returns
  false if resource with such name not exist

Definition at line 345 of file MyGUI_ImageBox.cpp.

## ◆ setItemResourceInfo() [1/2]

void MyGUI::ImageBox::setItemResourceInfo | ( | const ImageIndexInfo & | _info | ) |

Set current item

Definition at line 320 of file MyGUI_ImageBox.cpp.

## ◆ setItemResourceInfo() [2/2]

void MyGUI::ImageBox::setItemResourceInfo | ( | ResourceImageSetPtr | _resource,
|  | const std::string & | _group,
|  | const std::string & | _name
| ) |  |

Select current item resource, group and name

Definition at line 415 of file MyGUI_ImageBox.cpp.

## ◆ setItemResourcePtr()

void MyGUI::ImageBox::setItemResourcePtr | ( | ResourceImageSetPtr | _resource | ) |

Select current items resource used in ImageBox

Parameters

  _resource | Resource pointer

Definition at line 352 of file MyGUI_ImageBox.cpp.

## ◆ setItemSelect()

void MyGUI::ImageBox::setItemSelect | ( | size_t | _index | ) |

Select specified _index.

Definition at line 459 of file MyGUI_ImageBox.cpp.

## ◆ setPropertyOverride()

void MyGUI::ImageBox::setPropertyOverride | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| protectedvirtual

Properties:
  ImageTexture is ImageBox property with type string.
  Текстура для виджета.

Properties:
  ImageCoord is ImageBox property with type int int int int.
  Координаты в текстуре.

Properties:
  ImageTile is ImageBox property with type int int.
  Размер тайла текстуры.

Properties:
  ImageIndex is ImageBox property with type size_t.
  Индекс тайла в текстуре.

Properties:
  ImageResource is ImageBox property with type string.
  Имя ресурса картинки.

Properties:
  ImageGroup is ImageBox property with type string.
  Имя группы картинки в ресурсе.

Properties:
  ImageName is ImageBox property with type string.
  Имя картинки в группе ресурса.

Reimplemented from MyGUI::Widget.

Definition at line 470 of file MyGUI_ImageBox.cpp.

## ◆ shutdownOverride()

void MyGUI::ImageBox::shutdownOverride | ( |  | ) |
| protectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 30 of file MyGUI_ImageBox.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ImageBox.h
- MyGUI_ImageBox.cpp